// creator  : weidu.exe (version 23100)
// argument : CORAN.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~CORAN~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF WEIGHT #3 /* Triggers after states #: 12 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionGT(LastTalkedToBy(),NEUTRAL_UPPER)
~ THEN BEGIN 0 // from:
  SAY #896 /* ~Dracandros~ */
  IF ~~ THEN REPLY #905 /* ~No, we have traveled together too long for such games, and I will answer plain and true if it will help.~ */ GOTO 4
  IF ~~ THEN REPLY #906 /* ~I will detail our relationship if you wish, but it shall be nothing you do not already know.~ */ GOTO 3
END

IF WEIGHT #4 /* Triggers after states #: 12 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(),FRIENDLY_LOWER)
ReactionGT(LastTalkedToBy(),HOSTILE_UPPER)
~ THEN BEGIN 1 // from:
  SAY #897 /* ~Valeria~ */
  IF ~~ THEN REPLY #907 /* ~Have you forgotten what we have done?  Perhaps your senses are addled.  I will remind you, but it will not give any new clues as to why we are here.~ */ GOTO 4
  IF ~~ THEN REPLY #908 /* ~I will recount what led to this if you wish, though I think I have little to offer that you do not know already.~ */ GOTO 3
END

IF WEIGHT #5 /* Triggers after states #: 12 even though they appear after this state */
~NumTimesTalkedTo(0)
ReactionLT(LastTalkedToBy(),NEUTRAL_LOWER)
~ THEN BEGIN 2 // from:
  SAY #898 /* ~Valeria~ */
  IF ~~ THEN DO ~

~ EXIT
END

IF ~~ THEN BEGIN 3 // from: 1.1 0.1
  SAY #899 /* ~Quickly, we must get out of here before whoever did this returns. I swear, traveling with you is never dull.~ [JAHEIR01] */
  IF ~~ THEN DO ~

~ EXIT
END

IF ~~ THEN BEGIN 4 // from: 7.1 1.0 0.0
  SAY #900 /* ~I may help, but refresh my memory as to who you are.~ */
  IF ~~ THEN REPLY #909 /* ~I will repeat what I believe led to our capture if I must, but I doubt it shall prove to be different than what is already known by you.~ */ GOTO 5
  IF ~~ THEN REPLY #910 /* ~At the behest of your slain foster father, my husband Khalid and I have kept an interest in you, though you have proven to be your own person in all things.~ */ GOTO 6
END

IF ~~ THEN BEGIN 5 // from: 4.0
  SAY #901 /* ~You can't make demands of me. What authority do you think you have?~ */
  IF ~~ THEN DO ~SetGlobalTimer("Coran","GLOBAL",EIGHT_DAYS)
JoinParty()
~ JOURNAL #6574 /* ~~ */ EXIT
END

IF ~~ THEN BEGIN 6 // from: 4.1
  SAY #902 /* ~I don't know why I am here. Perhaps you are to blame.~ */
  IF ~~ THEN DO ~

~ EXIT
END

IF WEIGHT #6 /* Triggers after states #: 12 even though they appear after this state */
~True()
~ THEN BEGIN 7 // from:
  SAY #904 /* ~Have you any idea why we are here?~ */
  IF ~~ THEN REPLY #9669 /* ~... Thank you, Keldorn. My love. So... So you will stay?~ */ EXIT
  IF ~~ THEN REPLY #10028 /* ~It sometimes seems to me that you lack the wits to engage in simple discourse.  So be it, then, have it your way.~ */ GOTO 4
END

IF ~~ THEN BEGIN 8 // from:
  SAY #1556 /* ~We performed a service for your enemy, but that contract has expired... though we have been asked to perform another task in the future.~ */
  IF ~~ THEN EXTERN ~BRIELB~ 1
END

IF ~~ THEN BEGIN 9 // from:
  SAY #1557 /* ~You will find him eventually, and we are to be there. Or perhaps we are not. That is the offer I make today.~ */
  IF ~~ THEN EXTERN ~BRIELB~ 2
END

IF ~~ THEN BEGIN 10 // from:
  SAY #1558 /* ~Have you no sense of duty? Do you treat all your employers this way?~ */
  IF ~~ THEN REPLY #1559 /* ~An interesting offer. Might I inquire as to what your absence might cost?~ */ EXIT
  IF ~~ THEN REPLY #1560 /* ~I have a better idea. Would you consider turning on Ployer yourselves?~ */ EXTERN ~BRIELB~ 7
END

IF ~~ THEN BEGIN 11 // from:
  SAY #1561 /* ~You may ask what guarantees you have that we will not turn on you in a likewise fashion... there is no guarantee but our dislike for Ployer.~ */
  IF ~~ THEN EXTERN ~BRIELB~ 14
END

IF WEIGHT #0 ~StateCheck(Myself,STATE_CHARMED)
~ THEN BEGIN 12 // from:
  SAY #6112 /* ~Strangers! Perhaps you have more courage than the worms that frequent this pit of corruption. I am Anomen, warrior priest of Helm. What is your name?~ [ANOMEN01] */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 13 // from:
  SAY #6113 /* ~I am <GABBER>. It is a pleasure to meet you.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 14 // from:
  SAY #8961 /* ~That cannot be a healthy environment for a child. The guard will do nothing?~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 15 // from:
  SAY #14660 /* ~Tell me what happened, here.~ */
  IF ~~ THEN DO ~~ EXIT
END

IF ~~ THEN BEGIN 16 // from:
  SAY #14679 /* ~I am Hendak, a proud warrior from the North until my capture by slavers.  I have been imprisoned longer than any of these men and survived, though only barely.~ */
  IF ~~ THEN DO ~~ EXIT
END
